using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderTask:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderTask
	{
		public T_Wo_WorkOrderTask()
		{}
		#region Model
		private int _f_taskid;
		private int? _f_workordertypeid;
		private int _f_workorderstateid;
		private int _f_ownerid;
		private DateTime _f_createdate;
		private int? _f_optuserid;
		private DateTime? _f_optdate;
		private int? _f_exflag=0;
		private DateTime? _f_losedate;
		private DateTime? _f_formid;
		private string _f_optbtn;
		private DateTime? _f_planfinishtime;
		private DateTime? _f_remindtime;
		private int? _f_times;
		private string _f_assignparticipator;
		private int? _f_instanceid;
		private int? _f_taskflag;
		private int? _f_loseflag=0;
		/// <summary>
		/// 任务Id
		/// </summary>
		public int F_TASKID
		{
			set{ _f_taskid=value;}
			get{return _f_taskid;}
		}
		/// <summary>
		/// 工单类型Id
		/// </summary>
		public int? F_WORKORDERTYPEID
		{
			set{ _f_workordertypeid=value;}
			get{return _f_workordertypeid;}
		}
		/// <summary>
		/// 工单状态Id
		/// </summary>
		public int F_WORKORDERSTATEID
		{
			set{ _f_workorderstateid=value;}
			get{return _f_workorderstateid;}
		}
		/// <summary>
		/// 所属人Id
		/// </summary>
		public int F_OWNERID
		{
			set{ _f_ownerid=value;}
			get{return _f_ownerid;}
		}
		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime F_CREATEDATE
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 操作人Id
		/// </summary>
		public int? F_OPTUSERID
		{
			set{ _f_optuserid=value;}
			get{return _f_optuserid;}
		}
		/// <summary>
		/// 操作时间
		/// </summary>
		public DateTime? F_OPTDATE
		{
			set{ _f_optdate=value;}
			get{return _f_optdate;}
		}
		/// <summary>
		/// 异常标志
		/// </summary>
		public int? F_EXFLAG
		{
			set{ _f_exflag=value;}
			get{return _f_exflag;}
		}
		/// <summary>
		/// 失效时间
		/// </summary>
		public DateTime? F_LOSEDATE
		{
			set{ _f_losedate=value;}
			get{return _f_losedate;}
		}
		/// <summary>
		/// 表单Id
		/// </summary>
		public DateTime? F_FORMID
		{
			set{ _f_formid=value;}
			get{return _f_formid;}
		}
		/// <summary>
		/// 操作按钮
		/// </summary>
		public string F_OPTBTN
		{
			set{ _f_optbtn=value;}
			get{return _f_optbtn;}
		}
		/// <summary>
		/// 要求完成时间
		/// </summary>
		public DateTime? F_PLANFINISHTIME
		{
			set{ _f_planfinishtime=value;}
			get{return _f_planfinishtime;}
		}
		/// <summary>
		/// 提醒超时时间
		/// </summary>
		public DateTime? F_REMINDTIME
		{
			set{ _f_remindtime=value;}
			get{return _f_remindtime;}
		}
		/// <summary>
		/// 用时
		/// </summary>
		public int? F_TIMES
		{
			set{ _f_times=value;}
			get{return _f_times;}
		}
		/// <summary>
		/// 指派操作
		/// </summary>
		public string F_ASSIGNPARTICIPATOR
		{
			set{ _f_assignparticipator=value;}
			get{return _f_assignparticipator;}
		}
		/// <summary>
		/// 工单实例Id
		/// </summary>
		public int? F_INSTANCEID
		{
			set{ _f_instanceid=value;}
			get{return _f_instanceid;}
		}
		/// <summary>
		/// 任务标志
		/// </summary>
		public int? F_TASKFLAG
		{
			set{ _f_taskflag=value;}
			get{return _f_taskflag;}
		}
		/// <summary>
		/// 失效标志
		/// </summary>
		public int? F_LOSEFLAG
		{
			set{ _f_loseflag=value;}
			get{return _f_loseflag;}
		}
		#endregion Model

	}
}

